### Constructor

# Ggit Config new

#### Declaration [src]

    GgitConfig*
    ggit_config_new (
      void
    )

#### Description [src]

Create a new config. See also `ggit_config_get_default()` to get a `GgitConfig` representing the global, XDG and system configuration files. To get a `GgitConfig` for a repository use #ggit_repository_get_config instead.

#### Return value

Type: `GgitConfig`

A `GgitConfig`.

The caller of the function takes ownership of the data, and is responsible for freeing it.